package generated.copycardMehrereTerminals.javacard.copycard;

/**
 * Generated Class
 * 
 */

public class AuthData implements HashData, Codeable {

	public short instruction;

	public Secret passphrase;

	public Nonce challenge;

	public short amount;

	public AuthData() {

		instruction = 0;
		passphrase = new Secret();
		challenge = new Nonce();
		amount = 0;

	}

	public AuthData(short instruction, Secret passphrase, Nonce challenge,
			short amount) {

		this.instruction = instruction;
		this.passphrase = passphrase;
		this.challenge = challenge;
		this.amount = amount;

	}

	public byte getCode() {
		return Code.AUTHDATA;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(AuthData other) {
		if (this.instruction != other.instruction)
			return false;
		if (!this.passphrase.equals(other.passphrase))
			return false;
		if (!this.challenge.equals(other.challenge))
			return false;
		if (this.amount != other.amount)
			return false;
		return true;
	}

	public void copy(AuthData from) {
		this.instruction = from.instruction;
		this.passphrase.copy(from.passphrase);
		this.challenge.copy(from.challenge);
		this.amount = from.amount;
	}

}
