package generated.copycardMehrereTerminals.terminal.copyingMachine;

import swt.util.ByteArray;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
@XmlAccessorType(XmlAccessType.FIELD)
public class Secret implements Codeable, HashData {

	private byte[] secret;
	private static final byte[] defaultSecret = new byte[]{(byte) 0x31,
			(byte) 0x32, (byte) 0x33, (byte) 0x34, (byte) 0x35, (byte) 0x36,
			(byte) 0x37, (byte) 0x38};

	public Secret() {

		secret = defaultSecret;

	}

	public Secret(byte[] secret) {
		this.secret = secret;
	}

	public Secret(String secret) {
		this.secret = java.util.Arrays.copyOfRange(secret.getBytes(), 0,
				LengthConstants.LENGTHOFSECRET);
	}

	public byte[] getSecret() {
		return secret;
	}

	public void setSecret(byte[] secret) {
		this.secret = secret.clone();
	}

	public byte getCode() {
		return Code.SECRET;
	}

	public boolean equals(Secret other) {
		return Arrays.equals(secret, other.secret);
	}

	public void copy(Secret from) {
		//Der Typ von secret ist ein Array aus primitiven Typen.
		this.secret = from.secret.clone();
	}
}
