package generated.copycardMehrereTerminals.javacard.copycard;

import javacard.framework.*;
import javacard.security.MessageDigest;

public class HashedData implements Codeable, HashData {

	public final static short HASHLENGTH = 20;
	public byte[] hashed;

	private static MessageDigest md;
	private static byte[] tohash = new byte[Store.COMPUTEDHASHDATALENGTH];

	public HashedData() {

		hashed = new byte[HASHLENGTH];
	}

	public void copy(HashedData from) {

		Arrays.copy(from.hashed, this.hashed);

	}

	public byte getCode() {
		return Code.HASHEDDATA;
	}

	public boolean equals(HashedData other) {
		return Arrays.equals(hashed, other.hashed);
	}

	public static HashedData hash(HashData h) {

		if (md == null)
			md = MessageDigest.getInstance(MessageDigest.ALG_SHA, false);
		return Store.newHashedData().insthash(h);
	}

	public HashedData insthash(HashData h) {
		Coding c = Coding.getInstance();
		c.encode(h, tohash);

		md.doFinal(tohash, (short) 0, c.getEncodingLength(), hashed, (short) 0);

		return this;
	}

}
