package generated.copycardMehrereTerminals.javacard.copycard;

import javacard.framework.Util;

public class Secret implements Codeable, HashData {

	public byte[] secret;
	private static final byte[] defaultSecret = new byte[]{(byte) 0x31,
			(byte) 0x32, (byte) 0x33, (byte) 0x34, (byte) 0x35, (byte) 0x36,
			(byte) 0x37, (byte) 0x38};

	public Secret() {

		secret = new byte[Store.LENGTHOFSECRET];
		Util.arrayCopy(defaultSecret, (short) 0, secret, (short) 0,
				(short) (defaultSecret.length > Store.LENGTHOFSECRET
						? Store.LENGTHOFSECRET
						: defaultSecret.length));

	}

	public Secret(byte[] secret) {
		this.secret = secret;
	}

	public byte getCode() {
		return Code.SECRET;
	}

	public boolean equals(Secret other) {
		return Arrays.equals(secret, other.secret);
	}

	public void copy(Secret from) {
		//Der Typ von secret ist ein Array aus primitiven Typen.

		Arrays.copy(from.secret, this.secret);

	}
}
