package generated.copycardMehrereTerminals.terminal.copyingMachine;

import de.uniaugsburg.swt.javacard.terminalinterface.SWTReaderException;

public interface Gate {

	/**
	 * Assertion function for gate constraints
	 */
	public void callConstraints();

	/**
	 * Sends an APDU originating from CopyingMachine. Write redirection code here.
	 * @param terminal CopyingMachine which requested the send action
	 * @param port port to send the message to
	 */
	public byte[] transmit(CopyingMachine terminal, byte[] apdu, int port)
			throws TerminalException, SWTReaderException;

	/**
	 * Called when the original protocol is finished
	 */
	public void finishProtocol(CopyingMachine terminal);
}
