package generated.copycardMehrereTerminals.terminal.depositMachine;

import de.uniaugsburg.swt.javacard.terminalinterface.SWTReaderException;

public interface Gate {

	/**
	 * Assertion function for gate constraints
	 */
	public void callConstraints();

	/**
	 * Sends an APDU originating from DepositMachine. Write redirection code here.
	 * @param terminal DepositMachine which requested the send action
	 * @param port port to send the message to
	 */
	public byte[] transmit(DepositMachine terminal, byte[] apdu, int port)
			throws TerminalException, SWTReaderException;

	/**
	 * Called when the original protocol is finished
	 */
	public void finishProtocol(DepositMachine terminal);
}
